#!/usr/bin/perl -w
#
#	for use with the Dashboard-Widget "Network Stat"
#	(c) by Pascal Pfiffner 2005/2006
use strict;
use Encode;

# We get an escaped String as first Argument; replace the escaped characters
my $string = $ARGV[0] ? $ARGV[0] : "empty";
$string =~ s/%([0-9A-F]{2})/chr(hex($1))/ge;
$string = encode("MacRoman", $string);
open PIPE, "|/usr/bin/pbcopy -pboard general";
print PIPE $string;
close PIPE;

# old copy-script:
#`/bin/echo -n "$string" | /usr/bin/pbcopy -pboard general`;
